jQuery(function($){

	//$("#copiarPlanE").bind("click",function(event){
		//event.preventDefault();
	//	copiarPlanE();
	//});	
	
	$("#continuar").bind("click",function(event){
		//event.preventDefault();
		abrirCopiarAltaPlanEDialog();
	});	
	
	$("#CopiarPlanE").rup_table({	
		url: $.rup.CTX_PATH + "planesestrategicos/copiarplane",
		colNames: [
			"",
			"codplanificacion",
			"codentidad",
			$.rup.i18n.app.campos_tabla_planes_estrategicos["nombreEntidad"],
			$.rup.i18n.app.campos_tabla_planes_estrategicos["fechas"],
			$.rup.i18n.app.campos_tabla_planes_estrategicos["nombre"],
			$.rup.i18n.app.campos_tabla_planes_estrategicos["txostena"],
			"txostenaCod",
			"codversion"
		],
		colModel: [
			{ 	name: "codplane",
				index: "CODPLANE",
				align: "left",
				width: 150,
				hidden: true,
				sortable: false
				//,
				//formatter: crearRadio
			},
			{ 	name: "planificacion.codplanificacion",
				index: "CODPLANIFICACION",
				align: "left",
				width: 150,
				hidden: true,
				sortable: true
			},
			{ 	name: "entidad.codentidad",
				index: "CODENTIDAD",
				align: "left",
				width: 150,
				hidden: true,
				sortable: true
			},
			{ 	name: "entidad.desentidad",
				index: "DESENTIDAD",
				align: "left",
				width: 150,
				hidden: false,
				sortable: true
			},
			{ 	name: "anyos",
				index: "anyoinicio",
				align: "left",
				width: 80,
				hidden: false,
				sortable: true
			},
			{ 	name: "nombreEsEu",
				index: "NOMBRE"+IDIOMA,
				align: "left",
				width: 150,
				hidden: false,
				sortable: true
			},
			{ 	name: "solitudTxostena",
				index: "SOLICITUDTXOSTENA",
				align: "left",
				width: 80,
				hidden: false,
				sortable: true,
				formatter: formatterTxostena
			},
			{ 	name: "solitudTxostena",
				index: "SOLICITUDTXOSTENA",
				align: "left",
				width: 150,
				hidden: true,
				sortable: true
			},
			{ 	name: "codVersion",
				index: "CODVERSION",
				hidden: true,
				sortable: false
			}
        ],

        model:"PlanesEstrategicos",
        usePlugins:[
			//"formEdit",
        	"feedback",
			"toolbar",
        	//"contextMenu",
        	"responsive",
        	"filter"
         	],
		primaryKey: "codplane",
		sortname: "CODPLANE",
		sortorder: "ASC",
		loadOnStartUp: true,
		feedback:{
			config:{
				block: false
			}
		},
		core:{
	    	showOperations:{
	    		"clone": false,
	    		"delete": false,
	    		"edit": false
	    	},
	    	operations:{
	    	
	    	}
    	},
        formEdit:{
        	detailForm: "#CopiarPlanE_detail_div",
		
        }
	});
	
	
	function crearRadio(cellval, el, rowData){
		// var idcheck = "codVersion" + rowData.codVersion;
		var html = "";	
		 html += '<input type="radio" id="codplane" name="codplane" value="'+rowData.codplane+'" />';
		return html;
	 }
	
	// Formatter txostena
	function formatterTxostena(cellval) {
		var resultado = "";
		if(cellval != undefined ) {
			if(TXOSTENA_SOLICITADO == cellval) {
				resultado = $.rup.i18n.app.campos_tabla_planes_estrategicos['txostenaSolicitado'];
			} else if(TXOSTENA_NO_SOLICITADO == cellval) {
				resultado = $.rup.i18n.app.campos_tabla_planes_estrategicos['txostenaNoSolicitado'];
			}
		}
		return resultado;
	}
	
	$('.esNumero').on('input', function () { 
	    this.value = this.value.replace(/[^0-9]/g,'');
	});
	
		
	$("#CopiarPlanE_toolbar").css("display","none");
	$("#CopiarPlanE_pager_left").css("width","10px");
	
	
	
	function abrirCopiarAltaPlanEDialog(){

		var selectedRow = ab39aUtils.tabla.getSelectedRow($("#CopiarPlanE"));
		 var codplane = selectedRow.codplane;
		 var codversion = selectedRow.codVersion;
		 if(codplane!==undefined){
			ab39aUtils.util.bloquearInterfaz();
			$('#divCopiarAltaPlanE_Dialog').rup_dialog({
					title :$.rup.i18n.app.campos_tabla_planes_estrategicos['datosPlanEstrategico'],
					type: $.rup.dialog.AJAX, 
					url: ab39aUtils.util.setUrlNoCachePortalWar($.rup.CTX_PATH + "planesestrategicos/cargardetalleplane/"+codplane+"/"+codversion),
					autoOpen : true,
					closeOnEscape : true,
					modal : true,
					resizable : false,
					minWidth : 1600,
					minHeight : 300,
					ajaxOptions: {
						success: function (data, textStatus, XMLHttpRequest){
		
						},
						error: function (error){
						}
					},
					open: function(){
						
					},
					load: function(){
						ab39aUtils.util.desbloquearInterfaz();
					},
					close: function(event, ui) { 
						//ab39aUtils.util.desbloquearInterfaz();
					}
			});	
		 }
	}

});